Skip to main content
GET
/
v1
/
mydids
List numbers
curl --request GET \
  --url https://api.wavix.com/v1/mydids \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 123,
      "number": "12565378257",
      "activation_fee": "0.99",
      "monthly_fee": "0.99",
      "per_min": "0.01",
      "city": "DETROIT, MI",
      "state": "example",
      "country": "United States",
      "country_short_name": "US",
      "destination": [
        {
          "id": 1,
          "destination": "[did]@sipuri.com",
          "priority": 1,
          "transport": 1,
          "trunk_id": 23123,
          "srtp": false,
          "trunk_label": "My trunk"
        }
      ],
      "channels": 24,
      "require_docs": [
        "1"
      ],
      "documents": [
        {
          "id": 423,
          "allow_replace": false,
          "did_number": "12565378257",
          "doc_content_type": "image/png",
          "doc_file_name": "Copy of ID.png",
          "doc_type_id": 1,
          "status": "approved",
          "url": "https://api.wavix.com/v1/mydids/24882/papers/1"
        }
      ],
      "domestic_cli": true,
      "free_min": 123,
      "unlimited": true,
      "label": "example",
      "status": "example",
      "seconds": "example",
      "added": "2023-04-10T06:42:59.000Z",
      "paid_until": "2023-12-07",
      "sms_enabled": false,
      "sms_relay_url": "https://your-website.com/webhook",
      "cnam": true,
      "call_recording_enabled": true,
      "transcription_enabled": true,
      "transcription_threshold": 6,
      "call_status_url": "https://example.com"
    }
  ],
  "doc_types": [
    {
      "id": 2,
      "name": "address",
      "title": "Proof of address"
    }
  ],
  "pagination": {
    "current_page": 2,
    "per_page": 25,
    "total": 101,
    "total_pages": 5
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

city_id
integer<int32>

City or rate center for filtering.

Example:

123

Phone number or partial number for filtering.

Example:

"256537"

label
string

Label for filtering.

Example:

"ALEX"

label_present
boolean

Indicates whether to return only numbers with or without labels.

Example:

true

page
integer<int32>

Page number to retrieve.

Example:

2

per_page
integer<int32>

Number of records per page.

Example:

50

Response

List of phone numbers.

items
Number · object[]
required

List of phone numbers on the account.

doc_types
DocumentType · object[]
required

Documents required to activate phone numbers.

pagination
Pagination · object
required